ONVIF::Device::Types::MoveOptions20(3)

NAME
ONVIF::Device::Types::MoveOptions20

DESCRIPTION
Perl data type class for the XML Schema defined complexType MoveOptions20 from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Absolute

•   Relative

•   Continuous

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::MoveOptions20
   Absolute =>  { # ONVIF::Device::Types::AbsoluteFocusOptions
     Position =>  { # ONVIF::Device::Types::FloatRange
       Min =>  $some_value, # float
       Max =>  $some_value, # float
     },
     Speed =>  { # ONVIF::Device::Types::FloatRange
       Min =>  $some_value, # float
       Max =>  $some_value, # float
     },
   },
   Relative =>  { # ONVIF::Device::Types::RelativeFocusOptions20
     Distance =>  { # ONVIF::Device::Types::FloatRange
       Min =>  $some_value, # float
       Max =>  $some_value, # float
     },
     Speed =>  { # ONVIF::Device::Types::FloatRange
       Min =>  $some_value, # float
       Max =>  $some_value, # float
     },
   },
   Continuous =>  { # ONVIF::Device::Types::ContinuousFocusOptions
     Speed =>  { # ONVIF::Device::Types::FloatRange
       Min =>  $some_value, # float
       Max =>  $some_value, # float
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL